//+------------------------------------------------------------------+
//|                                                         T101.mq5 |
//|                                                         olyakish |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "olyakish"
#property link      "http://www.mql5.com"
#property version   "1.02"
#property description "   "
#property description "1.01     "
#property description "1.02  Bid  Close[0] c M1"
#property indicator_separate_window
#include <for_t101.mqh>  
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

array_all_val W2,W1,W0,D1,H4_prev,H4,H1_prev,H1;
string name_kolonki[8]={"W1_2","W1_1","W1_0","D1_0","H4_prev","H4_0","H1_prev","H1_0"};
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
   string name;
   int y_pos=25;
   for(int n=0;n<8;n++)
     {
      name=name_kolonki[n]+"."+IntegerToString(n);
      ObjectCreate(0,name,OBJ_LABEL,ChartWindowFind(),0,0);
      ObjectSetInteger(0,name,OBJPROP_CORNER,CORNER_LEFT_UPPER);
      ObjectSetInteger(0,name,OBJPROP_ANCHOR,ANCHOR_LEFT_UPPER);
      ObjectSetInteger(0,name,OBJPROP_XDISTANCE,10+n*130);
      ObjectSetInteger(0,name,OBJPROP_YDISTANCE,10);
      ObjectSetString(0,name,OBJPROP_TEXT,name_kolonki[n]);
      ObjectSetInteger(0,name,OBJPROP_COLOR,clrGold);
     }

   for(int j=0;j<8;j++)
     {
      y_pos=25;
      for(int i=0;i<17;i++)
        {
         if(i<14 || i==16)
           {
            name=name_kolonki[j]+"_"+IntegerToString(i);
            ObjectCreate(0,name,OBJ_LABEL,ChartWindowFind(),0,0);
            ObjectSetInteger(0,name,OBJPROP_CORNER,CORNER_LEFT_UPPER);
            ObjectSetInteger(0,name,OBJPROP_ANCHOR,ANCHOR_LEFT_UPPER);
            ObjectSetInteger(0,name,OBJPROP_XDISTANCE,10+j*130);
            ObjectSetInteger(0,name,OBJPROP_YDISTANCE,y_pos);
            y_pos+=15;
           }
         if(i==6){y_pos+=10;}
         if(i==14)
           {
            // 
            name=name_kolonki[j]+"_"+IntegerToString(i);
            ObjectCreate(0,name,OBJ_LABEL,ChartWindowFind(),0,0);
            ObjectSetInteger(0,name,OBJPROP_CORNER,CORNER_LEFT_UPPER);
            ObjectSetInteger(0,name,OBJPROP_ANCHOR,ANCHOR_LEFT_UPPER);
            ObjectSetInteger(0,name,OBJPROP_XDISTANCE,10+j*130);
            ObjectSetInteger(0,name,OBJPROP_YDISTANCE,248);
            ObjectSetInteger(0,name,OBJPROP_COLOR,clrGreen);
            ObjectSetInteger(0,name,OBJPROP_FONTSIZE,9);
           }
         if(i==15)
           {
            name=name_kolonki[j]+"_"+IntegerToString(i);
            ObjectCreate(0,name,OBJ_LABEL,ChartWindowFind(),0,0);
            ObjectSetInteger(0,name,OBJPROP_CORNER,CORNER_LEFT_UPPER);
            ObjectSetInteger(0,name,OBJPROP_ANCHOR,ANCHOR_LEFT_UPPER);
            ObjectSetInteger(0,name,OBJPROP_XDISTANCE,60+j*130);
            ObjectSetInteger(0,name,OBJPROP_YDISTANCE,248);
            ObjectSetInteger(0,name,OBJPROP_COLOR,clrRed);
            ObjectSetInteger(0,name,OBJPROP_FONTSIZE,9);
            y_pos+=15;
           }

        }
     }
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
   double;
   Write_struct(W0,PERIOD_W1,0);
   Write_struct(W1,PERIOD_W1,1);
   Write_struct(W2,PERIOD_W1,2);
   Write_struct(D1,PERIOD_D1,0);
   Write_struct(H4_prev,PERIOD_H4,1);
   Write_struct(H4,PERIOD_H4,0);
   Write_struct(H1_prev,PERIOD_H1,1);
   Write_struct(H1,PERIOD_H1,0);
   string name,text;
   for(int i=0;i<17;i++)
     {
      name=name_kolonki[0]+"_"+IntegerToString(i);
      text=W2.s_name[i]+" "+DoubleToString(W2.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,W2.c_color[i]);

      name=name_kolonki[1]+"_"+IntegerToString(i);
      text=W1.s_name[i]+" "+DoubleToString(W1.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,W1.c_color[i]);

      name=name_kolonki[2]+"_"+IntegerToString(i);
      text=W0.s_name[i]+" "+DoubleToString(W0.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,W0.c_color[i]);

      name=name_kolonki[3]+"_"+IntegerToString(i);
      text=D1.s_name[i]+" "+DoubleToString(D1.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,D1.c_color[i]);

      name=name_kolonki[4]+"_"+IntegerToString(i);
      text=H4_prev.s_name[i]+" "+DoubleToString(H4_prev.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,H4_prev.c_color[i]);

      name=name_kolonki[5]+"_"+IntegerToString(i);
      text=H4.s_name[i]+" "+DoubleToString(H4.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,H4.c_color[i]);

      name=name_kolonki[6]+"_"+IntegerToString(i);
      text=H1_prev.s_name[i]+" "+DoubleToString(H1_prev.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,H1_prev.c_color[i]);

      name=name_kolonki[7]+"_"+IntegerToString(i);
      text=H1.s_name[i]+" "+DoubleToString(H1.i_delta[i],0);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetInteger(0,name,OBJPROP_COLOR,H1.c_color[i]);

     }

   return(rates_total);
  }


/*  
Sell  
1. GBPUSD
2. EURGBP
3. GBPCHF
4. CHFJPY
5. AUDJPY
6. EURJPY
7. USDCHF
Buy
8. CADJPY
9. AUDUSD
10. USDJPY
11. EURUSD
12. EURCHF
13. GBPJPY
14 USDCAD
*/
//+------------------------------------------------------------------+
